## linuxmuster-linbo 2.2.16-0

=== linbo_gui/Makefile ===
#############################################################################
# Makefile for building: linbo_gui
# Generated by qmake (2.01a) (Qt 4.8.5) on: Mi. Jul 30 17:55:35 2014
# Project:  linboGUI.pro
# Template: app
# Command: /home/tschmitt/Entwicklung/linbo/testing/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/bin/qmake -spec qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -o Makefile linboGUI.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -Iqt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -I. -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/QtCore -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/QtNetwork -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/QtGui -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/Qt3Support -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib
LIBS          = $(SUBLIBS)  -L/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib -lQt3Support -L/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore -lm -ldl -lrt -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tschmitt/Entwicklung/linbo/testing/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = image_description.cc \
		linboConsoleImpl.cc \
		linboCounterImpl.cc \
		linboGUIImpl.cc \
		linboImageSelectorImpl.cc \
		linboImageUploadImpl.cc \
		linboInfoBrowserImpl.cc \
		linboInputBoxImpl.cc \
		linboMsgImpl.cc \
		linboMulticastBoxImpl.cc \
		linboPasswordBoxImpl.cc \
		linboProgressImpl.cc \
		linboPushButton.cc \
		linboLogConsole.cc \
		linboRegisterBoxImpl.cc \
		linboYesNoImpl.cc \
		main.cc moc_linboConsoleImpl.cpp \
		moc_linboCounterImpl.cpp \
		moc_linboGUIImpl.cpp \
		moc_linboImageSelectorImpl.cpp \
		moc_linboImageUploadImpl.cpp \
		moc_linboInfoBrowserImpl.cpp \
		moc_linboInputBoxImpl.cpp \
		moc_linboMsgImpl.cpp \
		moc_linboMulticastBoxImpl.cpp \
		moc_linboPasswordBoxImpl.cpp \
		moc_linboProgressImpl.cpp \
		moc_linboPushButton.cpp \
		moc_linboRegisterBoxImpl.cpp \
		moc_linboYesNoImpl.cpp \
		qrc_linbo.cpp
OBJECTS       = image_description.o \
		linboConsoleImpl.o \
		linboCounterImpl.o \
		linboGUIImpl.o \
		linboImageSelectorImpl.o \
		linboImageUploadImpl.o \
		linboInfoBrowserImpl.o \
		linboInputBoxImpl.o \
		linboMsgImpl.o \
		linboMulticastBoxImpl.o \
		linboPasswordBoxImpl.o \
		linboProgressImpl.o \
		linboPushButton.o \
		linboLogConsole.o \
		linboRegisterBoxImpl.o \
		linboYesNoImpl.o \
		main.o \
		moc_linboConsoleImpl.o \
		moc_linboCounterImpl.o \
		moc_linboGUIImpl.o \
		moc_linboImageSelectorImpl.o \
		moc_linboImageUploadImpl.o \
		moc_linboInfoBrowserImpl.o \
		moc_linboInputBoxImpl.o \
		moc_linboMsgImpl.o \
		moc_linboMulticastBoxImpl.o \
		moc_linboPasswordBoxImpl.o \
		moc_linboProgressImpl.o \
		moc_linboPushButton.o \
		moc_linboRegisterBoxImpl.o \
		moc_linboYesNoImpl.o \
		qrc_linbo.o
DIST          = qt-everywhere-opensource-src-4.8.5/mkspecs/common/unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/linux.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/qws.conf \
		../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/mkspecs/qconfig.pri \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_functions.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_config.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/exclusive_builds.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_pre.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/release.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_post.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/static.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/warn_on.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/unix/thread.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/moc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/resources.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/uic.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/yacc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/lex.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/include_source_dir.prf \
		linboGUI.pro
QMAKE_TARGET  = linbo_gui
DESTDIR       = 
TARGET        = linbo_gui

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_linboConsole.h ui_linboCounter.h ui_linboGUI.h ui_linboImageSelector.h ui_linboImageUpload.h ui_linboInfoBrowser.h ui_linboInputBox.h ui_linboMovie.h ui_linboMsg.h ui_linboMulticastBox.h ui_linboPasswordBox.h ui_linboProgress.h ui_linboRegisterBox.h ui_linboYesNo.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	strip $(TARGET)

Makefile: linboGUI.pro  qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++/qmake.conf qt-everywhere-opensource-src-4.8.5/mkspecs/common/unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/linux.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/qws.conf \
		../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/mkspecs/qconfig.pri \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_functions.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_config.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/exclusive_builds.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_pre.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/release.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_post.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/static.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/warn_on.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/unix/thread.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/moc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/resources.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/uic.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/yacc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/lex.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/include_source_dir.prf \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQt3Support.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtSql.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtCore.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtXml.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtGui.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtNetwork.prl
	$(QMAKE) -spec qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -o Makefile linboGUI.pro
qt-everywhere-opensource-src-4.8.5/mkspecs/common/unix.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/linux.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base-unix.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-base.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-unix.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/qws.conf:
../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/mkspecs/qconfig.pri:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_functions.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_config.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/exclusive_builds.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_pre.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/release.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_post.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/static.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/warn_on.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/unix/thread.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/moc.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/resources.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/uic.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/yacc.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/lex.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/include_source_dir.prf:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQt3Support.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtSql.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtCore.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtXml.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtGui.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -o Makefile linboGUI.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/linbo_gui1.0.0 || $(MKDIR) .tmp/linbo_gui1.0.0
