## linuxmuster-linbo 2.2.12-0

=== debian/changelog ===
linuxmuster-linbo (2.2.12-0) babo; urgency=low

  * linbo-remote:
    - using wakeonlan instead of etherwake for linbo-remote's wol functions (closes #399).
    - added handling of linbo-clients which are already online (see #391).
    - fixed standalone usage of -w (closes #400). 
  * init.sh: added disabling of AutoInitCache to noauto kernel option (see #391).
  * rsync-pre-download.sh: fixed machine account password update (closes #396).
  * linbo_cmd (restore_winact), rsync-pre-download.sh:
    - fixed windows 7 reactivation (closes #394).
    - prepared usage of office activation keys (see #297).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 29 Oct 2014 12:42:03 +0000

linuxmuster-linbo (2.2.11-0) babo; urgency=low

  * reworked onboot linbocmd handling to support local booted clients (closes #391).
  * added noauto kernel option which disables AutoPartition and AutoFormat
    (used by linbo-remote -c).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 12 Oct 2014 14:48:17 +0000

linuxmuster-linbo (2.2.10-1) babo; urgency=low

  * linbo-remote: fixed removement of pxe boot files.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 11 Oct 2014 19:17:54 +0000

linuxmuster-linbo (2.2.10-0) babo; urgency=low

  * linbo-remote, wake-on-lan: added client boot success test and removement of 
    pxe boot files of not booted clients (closes #390).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 10 Oct 2014 20:21:38 +0000

linuxmuster-linbo (2.2.9-1) babo; urgency=low

  * linbo_wrapper, get_partitions(): improved start.conf parser.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 09 Oct 2014 06:59:14 +0000

linuxmuster-linbo (2.2.9-0) babo; urgency=low

  * fixes bootable flag handling in linbo_wrapper and linbo_cmd (closes #385).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 07 Oct 2014 11:38:39 +0000

linuxmuster-linbo (2.2.8-0) babo; urgency=low

  * linbo-remote:
    * introduced new options for use together with -p:
      -n to bypass a start.conf configured autostart and
      -d to disable start, sync and new buttons on next boot.
    * restored old behaviour of -c option with bypassed autostart and
      disabled buttons on next boot (closes #384).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 06 Oct 2014 11:14:35 +0000

linuxmuster-linbo (2.2.7-0) babo; urgency=low

  * fixed torrent creation in linbo-bittorrent initscript (closes #335).
  * added Yannik's fix for Default User HKCU regpatch (closes #362).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 26 Sep 2014 09:27:22 +0000

linuxmuster-linbo (2.2.6-1) babo; urgency=low

  * changed also splash.pnm to new wallpaper.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 31 Jul 2014 16:16:33 +0000

linuxmuster-linbo (2.2.6-0) babo; urgency=low

  * linbo-remote: -w can now be used together with -p (closes #325).
  * fixed local linbo update per initcache command (closes #326).
  * changed linbo wallpaper to Frank's green one.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 31 Jul 2014 09:37:04 +0000

linuxmuster-linbo (2.2.5-0) precise-testing; urgency=low

  * package dependencies: changed xz-lzma to xz-utils.
  * linbo_cmd: added swapfile to rsync excludes.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 03 Jul 2014 15:09:38 +0000

linuxmuster-linbo (2.2.4-0) precise-testing; urgency=low

  * kernel downgrade to 3.2.53 (ubuntu's version 3.2.0-58.88).
  * fixed grub-install with multiple disks (closes #305).
  * removed info file handling for linbo/linbofs.lz because rsync handles
    remote file update efficently anyway.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 11 Apr 2014 14:29:07 +0000

linuxmuster-linbo (2.2.3-0) precise-testing; urgency=low

  * kernel update to 3.2.55 (ubuntu version 3.2.0-61).
  * backports modules update to 3.13.2.
  * included bnx2 firmware.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 11 Apr 2014 14:29:07 +0000

linuxmuster-linbo (2.2.2-0) precise-testing; urgency=low

  * kernel:
    - update to 3.2.55,
    - included bnx2x firmware.
  * ntfs-3g update to 2014.2.15.
  * rsync-pre-download.sh: changes win productkey to upper case.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 28 Mar 2014 18:53:15 +0000

linuxmuster-linbo (2.2.1-0) precise-testing; urgency=low

  * implemented win7 reactivation support (closes #297).
  * init.sh fix: cache partition was not parsed correctly from start.conf.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 23 Mar 2014 17:47:50 +0000

linuxmuster-linbo (2.2.0-1) precise-testing; urgency=low

  * postinst: fixed orphaned PXETPLDIR variable.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 12 Mar 2014 19:26:11 +0000

linuxmuster-linbo (2.2.0-0) precise-testing; urgency=low

  * pxe boot extensions (closes #286):
    - added linbo-wrapper commands as kernel parameter:
      linbocmd=<cmd1>,<cmd2> (see help of linbo-remote).
    - changed linbo wallpaper and boot logo.
    - added fbcondecor patch to linbo kernel.
    - implemented splash output for boot process, new splash kernel option.
    - changed to atftpd as default tftp server so that we can use pipes.
    - added -p parameter to linbo-remote to create a one time pxeboot configuration file
      with commands which will be automatically executed on next client boot,
      it is created as a pipe therefore it can be deleted once the client
      has requested it.
  * pxe boot configuration improvements (closes #288):
    - added new global start.conf option "KernelOptions" for group
      specific linbo kernel parameters.
    - postinst invokes automatical update of existing start.conf files.
  * opsi support (closes #282):
    - new image.opsi file which contains the current opsi state of the imaged client.
    - new rsync-post-download script to handle opsi status update for client.
    - on image creation a image.opsi file which reflects the current opsi
      state is added on post upload.

