=== debian/control ===
Source: linuxmuster-linbo
Section: admin
Priority: extra
Maintainer: Thomas Schmitt <thomas@linuxmuster.net>
Build-Depends: bison, build-essential, bvi, coreutils, debhelper, dosfstools, dpkg-dev, dropbear, e2fsprogs, ethtool, fakeroot, flex, g++, gcc, gettext, grep, gzip, libacl1-dev, libattr1-dev, libaudio-dev, libcups2-dev, libdevmapper-dev, libfontconfig1-dev, libfreetype6-dev, libfuse-dev, libgl1-mesa-dev, libglu1-mesa-dev, libice-dev, libiodbc2-dev, libjpeg-dev, libmng-dev, libmysqlclient-dev, libncurses5-dev, libpng12-dev, libpopt-dev, libpq-dev, libsm-dev, libsqlite3-dev, libstdc++6, libx11-dev, libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxinerama-dev, libxmu-dev, libxrandr-dev, libxrender-dev, libxt-dev, nasm, ncurses-base, patchutils, perl, reiserfsprogs, sysvinit-utils, tar, udev, udpcast, unzip, util-linux, wget, xz-utils, zlib1g-dev

Package: linuxmuster-linbo
Architecture: all
Depends: linuxmuster-base (>= 6.1.0), rsync (>= 3), bittorrent, dropbear, ssh, sed, screen, mkisofs, dosfstools, atftpd (>= 0.7.dfsg-11.1), udpcast, xz-utils, zip, mbr, wakeonlan
Suggests: isc-dhcp-server | dhcp3-server
Recommends: wodim, ldap-utils
Description: LINBO PXE boot files
 This package contains the bootfiles and multicast startscripts
 for the Linux-based Network Boot (LINBO) boot/install/repair system.
 Installation and configuration of a DHCP, TFTP and RSYNC server, as well
 as udpcast, is highly recommended for this to work.
