## linuxmuster-linbo 2.2.15-0

=== debian/changelog ===
linuxmuster-linbo (2.2.15-0) babo; urgency=low

  * Added PAE in kernel again.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 13 Feb 2015 10:41:02 +0000

linuxmuster-linbo (2.2.14-0) babo; urgency=low

  * update(): restores start.conf in cache if partition was formatted before (closes #420).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 20 Jan 2015 13:18:05 +0100

linuxmuster-linbo (2.2.13-2) babo; urgency=low

  * Rebuild.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 15 Jan 2015 18:28:37 +0000

linuxmuster-linbo (2.2.13-1) babo; urgency=low

  * Back to kernel 3.2.53.
  * Fixed build depends.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 19 Dec 2014 19:13:15 +0000

linuxmuster-linbo (2.2.13-0) babo; urgency=low

  * Component updates:
    * Kernel 3.2.64.
    * Backports 3.17.1-1.
    * chntpw 140201.
  * Removed PAE feature from kernel (closes #417).
  * Added e2label and ntfslabel to linbofs.
  * Stripped ntfsprogs binaries.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 17 Dec 2014 09:02:50 +0000
