=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # thomas@linuxmuster.net
-# 30.07.2014
+# 19.12.2014
 # GPL v3
 #
 
@@ -106,6 +106,9 @@
 CTORRENT_DIR=src/$(shell echo $(CTORRENT_ARCHIVE) | sed -e 's/.tar.gz//')
 CTORRENT_URL=http://www.rahul.net/dholmes/ctorrent
 
+# compiler flags
+export CFLAGS=-m32
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -202,7 +205,3 @@
 		( cd cache && grep $(SYSLINUX_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
 		echo "[1mUnpacking $(SYSLINUX_ARCHIVE)...[0m" ; \
 		tar xf cache/$(SYSLINUX_ARCHIVE) -C src; \
-		ln -sf ../$(SYSLINUX_DIR) src/syslinux; \
-	fi
-
-	# ctorrent
