## linuxmuster-linbo 2.2.16-0

=== debian/changelog ===
linuxmuster-linbo (2.2.16-0) babo; urgency=low

  * added patching of opsi server ip in case of windows client sync (closes #449).
  * added broadcom tg3 module update version 3.137h (closes #455).
  * added handling of office key activation (closes #297).
  * improved error handling in conjunction with windows/office reactivation.
  * added ability to share additional files and folders with linbo's torrent infrastructure (closes #456).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 22 Mar 2015 16:27:34 +0000
